#pragma once

#include "../interface.h"

class CBankFrame;
extern CBankFrame*			g_pBankFrame;

class CBankFrame : public CInterfaceBase
{
public:
	CBankFrame(CInterface* object);
	virtual ~CBankFrame();

	enum {
		eBank_Type_Bag				= 0,
		eBank_Type_Bank,
		eBank_Type_Equipment,
	};

	virtual	void				RegisterFunc();
	virtual	void				Update(float elapsedTime);
	virtual	void				UnlockedItem();
	virtual	void				Open(int bankManage);
	virtual	void				Close();
	virtual	bool				IsOpen()						{ return m_bankManage != 0; }
	virtual	bool				Cut(int index);					// °Å¤U
	virtual	void				Paste(int index);				// ¶K¤W

	virtual	void				Deposit(int index, int srcType, int pos);
	virtual	void				Draw(int index);
protected:
	int							m_bankManage;
};